Garry's Mod LINUX - Very Peculiar Problem...

Hello everyone.

Before I start, I would like to inform everyone that this happens on ALL source games.

Have a look at the pictures. I’m not posting them here because they’re too big.


BEFORE you try helping me, I would like to state that I have one of the world’s most unsupported graphics card, the Intel HD Graphics 4000.

So, has anyone seen anything like this before, or better yet, can help me fix this?

Thank you for having a look at this post.

That’s most likely your issue then. Intel graphic cards have to be the most unsupported line of cards by Source games, especially Garry’s Mod.

Can you run:



glxinfo | grep version


in a terminal and paste the output?

glxinfo | grep version Returns…


alec@Alec-Mint:~ > glxinfo | grep version
server glx version string: 1.4
client glx version string: 1.4
GLX version: 1.4
OpenGL version string: 3.0 Mesa 9.1.4
OpenGL shading language version string: 1.30
alec@Alec-Mint:~ > 


Well, anything?

reinstall the game ?!?!

Well done for not reading the thread, asshole. He said it happens with every Source game.

Has it been with all your source games from when you first every used them. If not when did it start to happen and have you seen any performance issues?

You sir, are a dick.

Yes, this happens the first time I use them. There really are no performance issues though. I have tried playing with the graphics settings, but to no avail.

Okay Okay, sorry.